Bug 998480 - [abrt] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
[abrt] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:1c1860d3e2d60824f9198ea55f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 08:14 EDT by Dalibor Berka
Modified: 2014-06-23 07:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:45:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (66.05 KB, text/plain)
2013-08-19 08:14 EDT, Dalibor Berka
no flags Details

  None (edit)
Description Dalibor Berka 2013-08-19 08:14:23 EDT
Description of problem:
It occured when restarting xined

Additional info:
reporter:       libreport-2.1.5
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
NETDEV WATCHDOG: sl0 (): transmit queue 0 timed out
Modules linked in: slip slhc tun ipip tunnel4 ip_tunnel mkiss netrom ax25 fuse ip6table_filter ip6_tables ebtable_nat ebtables xt_nat iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rfcomm bnep rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 acpi_cpufreq mperf coretemp iTCO_wdt iTCO_vendor_support microcode uvcvideo videobuf2_vmalloc videobuf2_memops joydev videobuf2_core videodev snd_hda_codec_realtek pl2303 rt2800pci media snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device btusb bluetooth rt2800lib rt2x00pci rt2x00mmio rt2x00lib snd_pcm eeprom_93cx6 mac80211 lpc_ich cfg80211 crc_ccitt eeepc_laptop snd_page_alloc snd_timer snd soundcore atl1e sparse_keymap rfkill nfsd auth_rpcgss nfs_acl lockd binfmt_misc sunrpc uinput usb_storage i915 i2c_algo_bit drm_kms_helper drm i2c_core video [last unloaded: iptable_mangle]
CPU: 0 PID: 612 Comm: X Not tainted 3.10.7-100.fc18.i686 #1
Hardware name: ASUSTeK Computer INC. 1000H/1000H, BIOS 1305    12/30/2008
 f2667e9c f2667e9c f2667e64 c097fbda f2667e8c c043ea74 c0b8e214 f2667eb8
 000000ff c08afdd7 c08afdd7 d821f800 00000000 00010dc0 f2667ea4 c043eb33
 00000009 f2667e9c c0b8e214 f2667eb8 f2667ed4 c08afdd7 c0b89ac3 000000ff
Call Trace:
 [<c097fbda>] dump_stack+0x16/0x18
 [<c043ea74>] warn_slowpath_common+0x64/0x80
 [<c08afdd7>] ? dev_watchdog+0x1d7/0x1e0
 [<c08afdd7>] ? dev_watchdog+0x1d7/0x1e0
 [<c043eb33>] warn_slowpath_fmt+0x33/0x40
 [<c08afdd7>] dev_watchdog+0x1d7/0x1e0
 [<c044bbdd>] call_timer_fn+0x2d/0xe0
 [<c067f6a0>] ? timerqueue_add+0x50/0xb0
 [<c08afc00>] ? dev_graft_qdisc+0x70/0x70
 [<c044d246>] run_timer_softirq+0x176/0x210
 [<c048fabd>] ? clockevents_program_event+0x9d/0x140
 [<c08afc00>] ? dev_graft_qdisc+0x70/0x70
 [<c0446913>] __do_softirq+0xc3/0x1f0
 [<c0446ba5>] irq_exit+0x95/0xa0
 [<c042509e>] smp_apic_timer_interrupt+0x5e/0x90
 [<c098587c>] apic_timer_interrupt+0x34/0x3c
 [<c0980000>] ? restore_cur+0xcd/0xd4

Potential duplicate: bug 989081
Comment 1 Dalibor Berka 2013-08-19 08:14:30 EDT
Created attachment 788028 [details]
File: dmesg
Comment 2 jd1008 2013-08-20 15:17:52 EDT
Description of problem:
I plugged in the ethernet em1, then I ifdown'ed wlan0

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.10.7-100.fc18.x86_64 root=UUID=47c9277f-41cf-47e9-8694-3a141b0b2af9 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=us LANG=en_US.UTF-8
kernel:         3.10.7-100.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
NETDEV WATCHDOG: em1 (sis900): transmit queue 0 timed out
Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables xt_LOG bnep nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack bluetooth nf_conntrack be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi vfat fat fuse arc4 ath9k ath9k_common ath9k_hw ath ppdev serio_raw mac80211 snd_intel8x0 snd_intel8x0m amd64_edac_mod snd_ac97_codec edac_core edac_mce_amd k8temp cfg80211 ac97_bus snd_seq snd_seq_device snd_pcm rfkill joydev snd_page_alloc sis900 snd_timer snd mii soundcore shpchp i2c_sis96x irda parport_pc parport crc_ccitt binfmt_misc uinput sata_sil radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci ata_generic usb_storage firewire_core yenta_socket drm pata_acpi crc_itu_t i2c_core pata_sis video [last unloaded: iptable_mangle]
CPU: 0 PID: 4128 Comm: perl Not tainted 3.10.7-100.fc18.x86_64 #1
Hardware name:                  /        , BIOS 080011  07/15/2004
 0000000000000009 ffff88007fc03d78 ffffffff816561a6 ffff88007fc03db8
 ffffffff8105d660 ffff88004f9b1cc0 0000000000000000 ffff88007a022000
 0000000000000001 0000000000000000 ffff88007a022000 ffff88007fc03e18
Call Trace:
 <IRQ>  [<ffffffff816561a6>] dump_stack+0x19/0x1b
 [<ffffffff8105d660>] warn_slowpath_common+0x70/0xa0
 [<ffffffff8105d746>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8156c598>] dev_watchdog+0x238/0x250
 [<ffffffff8156c360>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106beea>] call_timer_fn+0x3a/0x110
 [<ffffffff8156c360>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106d996>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81065aa8>] __do_softirq+0xe8/0x230
 [<ffffffff81065d85>] irq_exit+0xb5/0xc0
 [<ffffffff816665ce>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166541d>] apic_timer_interrupt+0x6d/0x80
 <EOI>
Comment 3 Justin M. Forbes 2013-10-18 16:57:58 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.